Bug 459882 - selected language not shown in panel selector
selected language not shown in panel selector
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F10DesktopBlocker
  Show dependency treegraph
 
Reported: 2008-08-23 12:41 EDT by Need Real Name
Modified: 2015-01-14 18:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-08 20:59:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2008-08-23 12:41:03 EDT
A computer has a system wide language and a user has their own language, which might be the same.

The gdm screen in F10 no longer allows the user to set their language on login, and there seems to be no way to change it from the gui per user.
Comment 1 Matthias Clasen 2008-08-23 20:43:12 EDT
You mean the language selector doesn't appear in the bottom panel after you selected a user in the user list ?

I certainly does here...
Comment 2 Need Real Name 2008-08-29 11:22:15 EDT
I will test this soon. gdm is broken (missing gnome-session). Not sure if this is a dependency problem in the rpm.

Am installing now.
Comment 3 Need Real Name 2008-08-29 11:30:05 EDT
Ah yes it works with gdm. Not tested kdm though.
Comment 4 Need Real Name 2008-08-30 08:40:20 EDT
The selector appears, but it doesn't work. You can't select another keyboard layout or language and have it actually be selected.
Comment 5 Need Real Name 2008-08-30 08:45:12 EDT
Ugh. Okay, it does work, but it appears not to work.

i.e. you select "German" or whatever, and it still says "USA". Login however, and you have German.

Keyboard is a bit b0rked though - the altgr keys don't work.

Not having a pipe key in linux makes it pretty useless :)
Comment 6 Need Real Name 2008-09-01 07:40:36 EDT
On closer inspection the keyboard selector is actually just broken. It doesn't do what I tell it.
Comment 7 Matthias Clasen 2008-09-01 18:56:03 EDT
Please try to be precise. 
What do you select in the keyboard selector, and what is the effect of that selection ? 
Do you have the selected keyboard layout in the password entry ? 
Do you have another keyboard layout in the session ?
What does 

echo $GDM_KEYBOARD_LAYOUT 

say in the session ?
Comment 8 Jens Petersen 2008-09-01 23:04:36 EDT
(In reply to comment #5)
> i.e. you select "German" or whatever, and it still says "USA". Login however,
> and you have German.

I can reproduce this.  Probably any other issues should be moved to a separate bug?
Comment 9 Matthias Clasen 2008-09-02 08:26:22 EDT
do you have a ~/.dmrc file ?
what are the permissions on your home directory ? 
do things start working better when you change the permissions to 755 ?
Comment 10 Need Real Name 2008-09-02 10:58:45 EDT
(In reply to comment #9)
> do you have a ~/.dmrc file ?
Yes. Layout=us :/

> what are the permissions on your home directory ? 
700

> do things start working better when you change the permissions to 755 ?
No they don't. It still shows USA and I actually get USA, as before.
Comment 11 Matthias Clasen 2008-09-05 23:26:41 EDT
Still trying to understand what this bug is all about...

Are you complaining that if you 

a) select a user
b) wait for choosers to appear
c) select "Other..." from the language chooser
d) pick a language from the appearing dialog, click ok

the new language does not show up in the chooser ?

I can reproduce that.
Comment 12 Matthias Clasen 2008-09-06 00:59:25 EDT
Jon, it seems that the chooser dialog only chooses something if the treeview has the focus when the ok button is clicked. 

Double-clicking an item does not work anymore either.
Comment 13 jmccann 2008-09-08 20:59:07 EDT
Fixed upstream.  Will appear in rawhide shortly.

Note You need to log in before you can comment on or make changes to this bug.